Subject: bug#21158: closed (Re: bug#21158: Emacs 24.5.1; w32-shell-execute broken on long URLs)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Jul 2015 16:53:02 +0000

Your bug report

#21158: Emacs 24.5.1; w32-shell-execute broken on long URLs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21158: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21158
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21158: Emacs 24.5.1; w32-shell-execute broken on long URLs
From: Eli Zaretskii <[email-masked]>
To: Wanrong Lin <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 Jul 2015 19:52:44 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 29 Jul 2015 16:33:53 -0400
> From: Wanrong Lin <[email-masked]>
> 
> In scratch buffer, evaluate the following:
> 
> (w32-shell-execute "open"
> "http://sage/rnd/rndprojects/myproject/Project%20Management/Forms/AllItems.aspx?RootFolder=%2frnd%2frndprojects%2fHNJ%2dHEVC%2fProject%20Management%2f%5fMeeting%20Minutes&FolderCTID=0x01200091670F1D770B314A8F69FA9D507AF4A9&View=%7b6AD90071%2dEB9F%2d4E1D%2d9250%2d282C8580F2F1%7d")
> 
> Now if you check the actual URL sent to the browser, some garbage will appear
> at the end of the URL.
> 
> If you shorten the URL (to a point), that does not happen.

Thanks, I fixed this in the repository.

Subject: Emacs 24.5.1; w32-shell-execute broken on long URLs
From: Wanrong Lin <[email-masked]>
To: [email-masked]
Date: Wed, 29 Jul 2015 16:33:53 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

With this version:
GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570

On Windows 7 professional,

In scratch buffer, evaluate the following:

(w32-shell-execute "open" "
http://sage/rnd/rndprojects/myproject/Project%20Management/Forms/AllItems.aspx?RootFolder=%2frnd%2frndprojects%2fHNJ%2dHEVC%2fProject%20Management%2f%5fMeeting%20Minutes&FolderCTID=0x01200091670F1D770B314A8F69FA9D507AF4A9&View=%7b6AD90071%2dEB9F%2d4E1D%2d9250%2d282C8580F2F1%7d
")

Now if you check the actual URL sent to the browser, some garbage will
appear at the end of the URL.

If you shorten the URL (to a point), that does not happen.

I verified at least with Emacs 24.3 there is no such issue.

PS: I feel Emacs release quality has been dropping over the years. Wish
this can change. Thanks.